RHEL 8 : librepo (RHSA-2020:3749)

High Nessus Plugin ID 140594

Synopsis

The remote Red Hat host is missing a security update.

Description

The remote Redhat Enterprise Linux 8 host has packages installed that are affected by a vulnerability as referenced in the RHSA-2020:3749 advisory.

- librepo: missing path validation in repomd.xml may lead to directory traversal (CVE-2020-14352)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected librepo, librepo-debugsource and / or python3-librepo packages.

See Also

https://cwe.mitre.org/data/definitions/22.html

https://access.redhat.com/security/cve/CVE-2020-14352

https://access.redhat.com/errata/RHSA-2020:3749

https://bugzilla.redhat.com/1866498

Plugin Details

Severity: High

ID: 140594

File Name: redhat-RHSA-2020-3749.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2020/09/15

Updated: 2020/09/16

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS Score Source: CVE-2020-14352

CVSS v2.0

Base Score: 8.5

Temporal Score: 6.3

Vector: CVSS2#AV:N/AC:M/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 8

Temporal Score: 7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:8.1, cpe:/o:redhat:rhel_eus:8.1, cpe:/o:redhat:rhel_eus:8.1::baseos, p-cpe:/a:redhat:enterprise_linux:librepo, p-cpe:/a:redhat:enterprise_linux:librepo-debugsource, p-cpe:/a:redhat:enterprise_linux:python3-librepo

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/09/15

Vulnerability Publication Date: 2020/08/30

Reference Information

CVE: CVE-2020-14352

RHSA: 2020:3749

CWE: 22